'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ufunc = require('ufunc');

var _ufunc2 = _interopRequireDefault(_ufunc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TableData = function TableData(props) {
  var item = props.item;

  for (var i = 0; i < item.length; i++) {
    return item.map(function (val, index) {
      var col = void 0;

      var isUndefined = _ufunc2.default.maybe(0);

      var item1 = val[2];
      var item2 = isUndefined(item[index + 1]);
      var item1PlusOne = item1 + 1;
      var item1PlusItem2 = item1 + isUndefined(item2[2]);
      var item2MinusItem1 = isUndefined(item2[2]) - item1;

      // sets colspan
      if (item1PlusOne !== item1PlusItem2 + 1) {
        col = item2MinusItem1 !== 0 ? item2MinusItem1 : null;
      }

      return _react2.default.createElement(
        'td',
        {
          colSpan: col,
          key: index,
          'data-kitid': 'tabledata-[' + props.index + ', ' + index + ']-' + props.kitid },
        val[1]
      );
    });
  }
};

TableData.propTypes = {
  item: _react2.default.PropTypes.array,
  index: _react2.default.PropTypes.number,
  kitid: _react2.default.PropTypes.string
};

exports.default = TableData;