'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ufunc = require('ufunc');

var _ufunc2 = _interopRequireDefault(_ufunc);

var _keysToListUq = require('./keysToListUq');

var _keysToListUq2 = _interopRequireDefault(_keysToListUq);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Generate headings from head prop
var headFromProp = function headFromProp(head) {
  return head.map(function (item, index) {
    return _react2.default.createElement(
      'th',
      { key: index },
      item
    );
  });
};

// Generate headings from collection keys
var headfromBodyKeys = function headfromBodyKeys(ary) {

  return (0, _keysToListUq2.default)(ary).map(function (k, i) {
    return _react2.default.createElement(
      'th',
      { key: i },
      k
    );
  });
};

var TableHead = function TableHead(props) {
  return _react2.default.createElement(
    'thead',
    null,
    _react2.default.createElement(
      'tr',
      null,
      props.numbered ? _react2.default.createElement(
        'th',
        null,
        props.numbered
      ) : null,
      _ufunc2.default.either(function () {
        return headfromBodyKeys(props.body);
      }, function () {
        return headFromProp(props.head);
      })(props.head === '*')
    )
  );
};

TableHead.propTypes = {
  body: _react2.default.PropTypes.array,
  head: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.array, _react2.default.PropTypes.string]),
  numbered: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.bool, _react2.default.PropTypes.string])
};

exports.default = TableHead;