'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _tableData = require('./table-data');

var _tableData2 = _interopRequireDefault(_tableData);

var _sortIt = require('sort-it');

var _sortIt2 = _interopRequireDefault(_sortIt);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Convert object to array with index column position
var bodyToArray = function bodyToArray(body, columns) {

  return body.map(function (item) {
    return Object.keys(item).map(function (k) {
      var pos = columns.map(function (i) {

        return i.toLowerCase();
      }).indexOf(k.toLowerCase());

      return [k, item[k], pos];
    });
  });
};

// Sorts a collection of data
var sort = function sort(data, critera) {
  if (!critera) return data;
  return (0, _sortIt2.default)(data, critera);
};

var numbered = function numbered(index) {
  return _react2.default.createElement(
    'td',
    null,
    index + 1
  );
};

var TableRows = function TableRows(props, columns) {
  return bodyToArray(sort(props.body, props.sort), columns).map(function (item, index) {
    return _react2.default.createElement(
      'tr',
      { key: index, 'data-kitid': 'tablerow-' + index + '-' + props.kitid },
      props.numbered ? numbered(index) : null,
      (0, _tableData2.default)({
        columns: columns,
        item: item,
        index: index,
        kitid: props.kitid
      })
    );
  });
};

TableRows.propTypes = {
  body: _react2.default.PropTypes.array,
  kitid: _react2.default.PropTypes.string,
  numbered: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.bool, _react2.default.PropTypes.string]),
  sort: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.array, _react2.default.PropTypes.string])
};

exports.default = TableRows;